<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

<ui:define name="principal">

<h:form id="formFase">
<p:growl id="mensagem"/>
	
	<p:dataTable
			var = "fas"
			value = "#{faseMB.fases}"
			editable = "true" editMode = "cell"
			id="tabelaFase"
			paginator="true"
            rows="5"
            paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
            rowsPerPageTemplate="5,10,15"
			
			
			                        
	>
	
	<f:facet name="header">
            Fases
    </f:facet>
	
	<p:ajax event="rowEdit" listener="#{faseMB.onRowEdit}" update="tabelaFase" />
		
	    <p:column headerText="idFase" style="text-align: center" sortBy="#{fas.idFase}">
			<p:outputLabel value="#{fas.idFase}"/>        		
	    </p:column>
	    
	    <p:column headerText="Data inicial" style="text-align: center" sortBy="#{fas.dataInicio}">
		   <p:cellEditor>            
                  <f:facet name = "output"><p:outputLabel value="#{fas.dataInicio}">                
                  <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
                  </p:outputLabel>
                  </f:facet>
                  
                  <f:facet name = "input"><p:inputText    value="#{fas.dataInicio}" style="width:96%">
                  <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
                  </p:inputText>
                  </f:facet>          
           </p:cellEditor>	         
	    </p:column>
	    
	    <p:column headerText="Data final" style="text-align: center" sortBy="#{fas.dataFim}">
		   <p:cellEditor>            
                  <f:facet name = "output"><p:outputLabel value="#{fas.dataFim}">                
                  <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
                  </p:outputLabel>
                  </f:facet>
                  
                  <f:facet name = "input"><p:inputText    value="#{fas.dataFim}" style="width:96%">
                  <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
                  </p:inputText>
                  </f:facet>          
           </p:cellEditor>	         
	    </p:column>
	    
	    <p:column headerText="Formato" style="text-align: center">
        	<p:outputLabel value="#{fas.formato.tipo}" />          		
	    </p:column>
	    
	    <p:column headerText="Categoria" style="text-align: center">
        	<p:outputLabel value="#{fas.categoria}" />          		
	    </p:column>
	    
	    <p:column  headerText="Grupos" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formFase" oncomplete="PF('gruposDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{fas}" target="#{faseMB.fase}" />
        </p:commandButton>            
    	<p:dialog header="Grupo (os) da fase" widgetVar="gruposDialog" showEffect="fade" closeOnEscape="true"  hideEffect="fade" resizable="false">
        <p:outputPanel id="grupos" style=" width:600px" columnClasses="label,value" >
            
            <p:dataTable var="grupo" value="#{faseMB.fase.grupos}">
 					
 					<p:column headerText="idGrupo">
	   					<p:outputLabel value="#{grupo.idGrupo}"/>
	   	    		</p:column>
	   	    		
 					<p:column headerText="Nome">
	   					<p:outputLabel value="#{grupo.nome}"/>
	   	    		</p:column>	
	
 			</p:dataTable>            
        </p:outputPanel>
        </p:dialog>  
        </p:column>
	   
	    


		<p:column style = "text-align: center">
			<p:rowEditor />
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{faseMB.remover(fas)}" update="tabelaFase"></p:commandLink> 	     	
		</p:column>
			
	</p:dataTable>		


</h:form>


	</ui:define>
</ui:composition>